Skip to main content

Update typeTwoResource

PATCH 

https://apis.<domain>/resources/resources/typeTwoResources/:ids/

Update typeTwoResource.

Authorization Action:

resource:typeTwoResources:update

Request

Path Parameters

    ids stringrequired

    Comma-separated globally unique ids (UUID4)

Body

    data objectrequired
    typetype (string)required

    The type member is used to describe resource objects that share common attributes and relationships.

    idid (string)required

    Each resource object’s type and id pair MUST identify a single, unique resource.

    links object
    self object
    oneOf
    string

    a string containing the link's URL

    attributes object
    createdAtstring<date>
    namestring
    relationships object
    typeOneResource object

    a singular 'to-one' relationship

    links object

    optional references to other resource objects

    self object
    oneOf
    string

    a string containing the link's URL

    related object
    oneOf
    string

    a string containing the link's URL

    property name*any

    optional references to other resource objects

    data object

    reference to other resource in a to-one relationship

    anyOf
    objectnullable
    Default value: null
    meta object
    property name*any

Responses

Schema
    data objectrequired
    typetype (string)required

    The type member is used to describe resource objects that share common attributes and relationships.

    idid (string)required

    Each resource object’s type and id pair MUST identify a single, unique resource.

    links object
    self object
    oneOf
    string

    a string containing the link's URL

    attributes object
    createdAtstring<date>
    namestringrequired
    relationships object
    typeOneResource object

    a singular 'to-one' relationship

    links object

    optional references to other resource objects

    self object
    oneOf
    string

    a string containing the link's URL

    related object
    oneOf
    string

    a string containing the link's URL

    property name*any

    optional references to other resource objects

    data object

    reference to other resource in a to-one relationship

    anyOf
    objectnullable
    Default value: null
    meta object
    property name*any
    included object[]
  • Array [
  • typetype (string)required

    The type member is used to describe resource objects that share common attributes and relationships.

    idid (string)required

    Each resource object’s type and id pair MUST identify a single, unique resource.

    attributesobject
    relationshipsobject
    links object
    property name* link
    oneOf
    string

    a string containing the link's URL

    meta object
    property name*any
  • ]
  • links object

    Link members related to primary data

    first object
    oneOf
    string

    a string containing the link's URL

    last object
    oneOf
    string

    a string containing the link's URL

    prev object
    oneOf
    string

    a string containing the link's URL

    next object
    oneOf
    string

    a string containing the link's URL

    property name* link
    oneOf
    string

    a string containing the link's URL

    jsonapi object

    The server's implementation

    versionstring
    meta object
    property name*any

Authorization: http

name: bearerTokentype: httpscheme: bearerin: headerdescription: Authorization Header: `Authorization: Bearer <user_token>`
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Patch, "https://apis.<domain>/resources/resources/typeTwoResources/:ids/");
request.Headers.Add("Accept", "application/vnd.api+json");
request.Headers.Add("Authorization", "Bearer <token>");
var content = new StringContent("{\n \"data\": {\n \"type\": \"string\",\n \"id\": \"string\",\n \"links\": {\n \"self\": \"string\"\n },\n \"attributes\": {\n \"createdAt\": \"2024-07-29\",\n \"name\": \"string\"\n },\n \"relationships\": {\n \"typeOneResource\": {\n \"links\": {\n \"self\": \"string\",\n \"related\": \"string\"\n },\n \"data\": {},\n \"meta\": {}\n }\n }\n }\n}", null, "application/vnd.api+json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Request Collapse all
Base URL
https://apis.<domain>/resources
Auth
Parameters
— pathrequired
Body
{
  "data": {
    "type": "string",
    "id": "string",
    "links": {
      "self": "string"
    },
    "attributes": {
      "createdAt": "2024-07-29",
      "name": "string"
    },
    "relationships": {
      "typeOneResource": {
        "links": {
          "self": "string",
          "related": "string"
        },
        "data": {},
        "meta": {}
      }
    }
  }
}